{
  "schema_version": "1.4.0",
  "id": "GHSA-hxqm-w72v-m7v5",
  "modified": "2022-05-02T03:50:42Z",
  "published": "2022-05-02T03:50:42Z",
  "aliases": [
    "CVE-2009-4016"
  ],
  "details": "Integer underflow in the clean_string function in irc_string.c in (1) IRCD-hybrid 7.2.2 and 7.2.3, (2) ircd-ratbox before 2.2.9, and (3) oftc-hybrid before 1.6.8, when flatten_links is disabled, allows remote attackers to execute arbitrary code or cause a denial of service (daemon crash) via a LINKS command.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-4016"
    },
    {
      "type": "WEB",
      "url": "http://lists.ratbox.org/pipermail/ircd-ratbox/2010-January/000891.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38210"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38381"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38382"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38383"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/i/ircd-hybrid/ircd-hybrid_7.2.2.dfsg.2-4+lenny1.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://svn.ircd-hybrid.org:8000/viewcvs.cgi?rev=1044&view=rev"
    },
    {
      "type": "WEB",
      "url": "http://trac.oftc.net/projects/oftc-hybrid/browser/tags/oftc-hybrid-1.6.8/RELNOTES"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-1980"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37978"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-02-04T20:15:00Z"
  }
}